Bug 209386 - multimedia/vdr-plugin-markad: Fix build with ffmpeg 3.0.x
Summary: multimedia/vdr-plugin-markad: Fix build with ffmpeg 3.0.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://projects.vdr-developer.org/is...
Keywords: patch, patch-ready
Depends on:
Blocks: 207547
  Show dependency treegraph
 
Reported: 2016-05-08 23:00 UTC by Ben Woods
Modified: 2016-05-10 15:36 UTC (History)
1 user (show)

See Also:


Attachments
Patch to fix build of multimedia/vdr-plugin-markad using ffmpeg 3.0.x (39.86 KB, patch)
2016-05-08 23:00 UTC, Ben Woods
woodsb02: maintainer-approval+
Details | Diff
QA: Successful poudriere testport logs for multimedia/vdr-plugin-markad with patch against FFmpeg 3.0.1 (from PR 207547) on FreeBSD 11-current amd64 (45.66 KB, text/plain)
2016-05-08 23:01 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for multimedia/vdr-plugin-markad with patch against current ports tree (FFmpeg 2.8.7,1) on FreeBSD 11-current amd64 (45.66 KB, text/plain)
2016-05-08 23:07 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-05-08 23:00:45 UTC
Created attachment 170123 [details]
Patch to fix build of multimedia/vdr-plugin-markad using ffmpeg 3.0.x

multimedia/vdr-plugin-markad:
- Update patch of command/decoder.cpp to allow vdr-plugin-markad to build successfully once multimedia/ffmpeg is updated to 3.0.x. Note that multimedia/ffmpeg is currently still on the 2.8.x branch, however this patch is backwards compatible with ffmpeg 2.8.x. The additional changes to this file were based on upstream bug report #1898 [1], and also the requirement to replace s/avcodec_alloc_frame/av_frame_alloc/g.
- Update all patches in files/ directory to the standard format (pet portlint), and remove PATCH_STRIP=-p1 from Makefile

  [1] https://projects.vdr-developer.org/issues/1898
Comment 1 Ben Woods freebsd_committer 2016-05-08 23:01:51 UTC
Created attachment 170124 [details]
QA: Successful poudriere testport logs for multimedia/vdr-plugin-markad with patch against FFmpeg 3.0.1 (from PR 207547) on FreeBSD 11-current amd64
Comment 2 Ben Woods freebsd_committer 2016-05-08 23:07:57 UTC
Created attachment 170125 [details]
QA: Successful poudriere testport logs for multimedia/vdr-plugin-markad with patch against current ports tree (FFmpeg 2.8.7,1) on FreeBSD 11-current amd64
Comment 3 Ben Woods freebsd_committer 2016-05-09 22:03:03 UTC
This diff has been added to phabricator for review:
  https://reviews.freebsd.org/D6283
Comment 4 commit-hook freebsd_committer 2016-05-10 15:35:28 UTC
A commit references this bug:

Author: woodsb02
Date: Tue May 10 15:35:21 UTC 2016
New revision: 414944
URL: https://svnweb.freebsd.org/changeset/ports/414944

Log:
  multimedia/vdr-plugin-markad: Fix build with ffmpeg 3.0.x
  - Update patch of command/decoder.cpp to allow vdr-plugin-markad to
    build successfully once multimedia/ffmpeg is updated to 3.0.x.
    Note that multimedia/ffmpeg is currently still on the 2.8.x branch,
    however this patch is backwards compatible with ffmpeg 2.8.x.
    The additional changes to this file were based on upstream bug
    report #1898 [1], and also the requirement to replace
    s/avcodec_alloc_frame/av_frame_alloc/g.
  - Regenerate patches with makepatch (pet portlint), and remove
    PATCH_STRIP=-p1 from Makefile.

    [1] https://projects.vdr-developer.org/issues/1898

  PR:		209386
  Reported by:	antoine (PR207547)
  Reviewed by:	mat (mentor)
  Approved by:	adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6283

Changes:
  head/multimedia/vdr-plugin-markad/Makefile
  head/multimedia/vdr-plugin-markad/files/patch-Makefile
  head/multimedia/vdr-plugin-markad/files/patch-command-Makefile
  head/multimedia/vdr-plugin-markad/files/patch-command-decoder.cpp
  head/multimedia/vdr-plugin-markad/files/patch-command-decoder.cpp-ffmpeg1
  head/multimedia/vdr-plugin-markad/files/patch-command-markad-standalone.cpp
  head/multimedia/vdr-plugin-markad/files/patch-command_Makefile
  head/multimedia/vdr-plugin-markad/files/patch-command_decoder.cpp
  head/multimedia/vdr-plugin-markad/files/patch-command_decoder.h
  head/multimedia/vdr-plugin-markad/files/patch-command_markad-standalone.cpp
  head/multimedia/vdr-plugin-markad/files/patch-plugin-Makefile
  head/multimedia/vdr-plugin-markad/files/patch-plugin-markad.cpp
  head/multimedia/vdr-plugin-markad/files/patch-plugin-status.cpp
  head/multimedia/vdr-plugin-markad/files/patch-plugin_Makefile
  head/multimedia/vdr-plugin-markad/files/patch-plugin_markad.cpp
  head/multimedia/vdr-plugin-markad/files/patch-plugin_status.cpp
  head/multimedia/vdr-plugin-markad/files/patch-vdr-markad-0.1.4-libav9